:root {

    --white: #fff;
    --black: #000;
    --red: #FF0000;
    --green: #00D709;

    --theme-color-1: #ED1C24;
    --theme-color-2: #BE1E2D;
    --theme-color-3: #E9D312;

    --color-1: #22262F;
}

body {
    font-family: "Poppins", sans-serif;
}

a,
a:hover {
    text-decoration: none;
}


@-webkit-keyframes animate-svg-stroke-1 {
    0% {
        stroke-dashoffset: 508.3649597167969px;
        stroke-dasharray: 508.3649597167969px;
    }

    100% {
        stroke-dashoffset: 0;
        stroke-dasharray: 508.3649597167969px;
    }
}

@keyframes animate-svg-stroke-1 {
    0% {
        stroke-dashoffset: 508.3649597167969px;
        stroke-dasharray: 508.3649597167969px;
    }

    100% {
        stroke-dashoffset: 0;
        stroke-dasharray: 508.3649597167969px;
    }
}

@-webkit-keyframes animate-svg-fill-1 {
    0% {
        fill: transparent;
    }

    100% {
        fill: rgb(189, 32, 46);
    }
}

@keyframes animate-svg-fill-1 {
    0% {
        fill: transparent;
    }

    100% {
        fill: rgb(189, 32, 46);
    }
}

.yobo-logo-1 {
    -webkit-animation: animate-svg-stroke-1 1s cubic-bezier(0.47, 0, 0.745, 0.715) 0s both,
        animate-svg-fill-1 0.7s cubic-bezier(0.47, 0, 0.745, 0.715) 0.8s both;
    animation: animate-svg-stroke-1 1s cubic-bezier(0.47, 0, 0.745, 0.715) 0s both,
        animate-svg-fill-1 0.7s cubic-bezier(0.47, 0, 0.745, 0.715) 0.8s both;
}

@-webkit-keyframes animate-svg-stroke-2 {
    0% {
        stroke-dashoffset: 332.59722900390625px;
        stroke-dasharray: 332.59722900390625px;
    }

    100% {
        stroke-dashoffset: 0;
        stroke-dasharray: 332.59722900390625px;
    }
}

@keyframes animate-svg-stroke-2 {
    0% {
        stroke-dashoffset: 332.59722900390625px;
        stroke-dasharray: 332.59722900390625px;
    }

    100% {
        stroke-dashoffset: 0;
        stroke-dasharray: 332.59722900390625px;
    }
}

@-webkit-keyframes animate-svg-fill-2 {
    0% {
        fill: transparent;
    }

    100% {
        fill: rgb(236, 32, 39);
    }
}

@keyframes animate-svg-fill-2 {
    0% {
        fill: transparent;
    }

    100% {
        fill: rgb(236, 32, 39);
    }
}

.yobo-logo-2 {
    -webkit-animation: animate-svg-stroke-2 1s cubic-bezier(0.47, 0, 0.745, 0.715) 0.12s both,
        animate-svg-fill-2 0.7s cubic-bezier(0.47, 0, 0.745, 0.715) 0.9s both;
    animation: animate-svg-stroke-2 1s cubic-bezier(0.47, 0, 0.745, 0.715) 0.12s both,
        animate-svg-fill-2 0.7s cubic-bezier(0.47, 0, 0.745, 0.715) 0.9s both;
}

@-webkit-keyframes animate-svg-stroke-3 {
    0% {
        stroke-dashoffset: 515.7573852539062px;
        stroke-dasharray: 515.7573852539062px;
    }

    100% {
        stroke-dashoffset: 0;
        stroke-dasharray: 515.7573852539062px;
    }
}

@keyframes animate-svg-stroke-3 {
    0% {
        stroke-dashoffset: 515.7573852539062px;
        stroke-dasharray: 515.7573852539062px;
    }

    100% {
        stroke-dashoffset: 0;
        stroke-dasharray: 515.7573852539062px;
    }
}

@-webkit-keyframes animate-svg-fill-3 {
    0% {
        fill: transparent;
    }

    100% {
        fill: rgb(236, 32, 39);
    }
}

@keyframes animate-svg-fill-3 {
    0% {
        fill: transparent;
    }

    100% {
        fill: rgb(236, 32, 39);
    }
}

.yobo-logo-3 {
    -webkit-animation: animate-svg-stroke-3 1s cubic-bezier(0.47, 0, 0.745, 0.715) 0.24s both,
        animate-svg-fill-3 0.7s cubic-bezier(0.47, 0, 0.745, 0.715) 1s both;
    animation: animate-svg-stroke-3 1s cubic-bezier(0.47, 0, 0.745, 0.715) 0.24s both,
        animate-svg-fill-3 0.7s cubic-bezier(0.47, 0, 0.745, 0.715) 1s both;
}

@-webkit-keyframes animate-svg-stroke-4 {
    0% {
        stroke-dashoffset: 494.11541748046875px;
        stroke-dasharray: 494.11541748046875px;
    }

    100% {
        stroke-dashoffset: 0;
        stroke-dasharray: 494.11541748046875px;
    }
}

@keyframes animate-svg-stroke-4 {
    0% {
        stroke-dashoffset: 494.11541748046875px;
        stroke-dasharray: 494.11541748046875px;
    }

    100% {
        stroke-dashoffset: 0;
        stroke-dasharray: 494.11541748046875px;
    }
}

@-webkit-keyframes animate-svg-fill-4 {
    0% {
        fill: transparent;
    }

    100% {
        fill: rgb(189, 32, 46);
    }
}

@keyframes animate-svg-fill-4 {
    0% {
        fill: transparent;
    }

    100% {
        fill: rgb(189, 32, 46);
    }
}

.yobo-logo-4 {
    -webkit-animation: animate-svg-stroke-4 1s cubic-bezier(0.47, 0, 0.745, 0.715) 0.36s both,
        animate-svg-fill-4 0.7s cubic-bezier(0.47, 0, 0.745, 0.715) 1.1s both;
    animation: animate-svg-stroke-4 1s cubic-bezier(0.47, 0, 0.745, 0.715) 0.36s both,
        animate-svg-fill-4 0.7s cubic-bezier(0.47, 0, 0.745, 0.715) 1.1s both;
}

@-webkit-keyframes animate-svg-stroke-5 {
    0% {
        stroke-dashoffset: 213.86769104003906px;
        stroke-dasharray: 213.86769104003906px;
    }

    100% {
        stroke-dashoffset: 0;
        stroke-dasharray: 213.86769104003906px;
    }
}

@keyframes animate-svg-stroke-5 {
    0% {
        stroke-dashoffset: 213.86769104003906px;
        stroke-dasharray: 213.86769104003906px;
    }

    100% {
        stroke-dashoffset: 0;
        stroke-dasharray: 213.86769104003906px;
    }
}

@-webkit-keyframes animate-svg-fill-5 {
    0% {
        fill: transparent;
    }

    100% {
        fill: rgb(236, 32, 39);
    }
}

@keyframes animate-svg-fill-5 {
    0% {
        fill: transparent;
    }

    100% {
        fill: rgb(236, 32, 39);
    }
}

.yobo-logo-5 {
    -webkit-animation: animate-svg-stroke-5 1s cubic-bezier(0.47, 0, 0.745, 0.715) 0.48s both,
        animate-svg-fill-5 0.7s cubic-bezier(0.47, 0, 0.745, 0.715) 1.2000000000000002s both;
    animation: animate-svg-stroke-5 1s cubic-bezier(0.47, 0, 0.745, 0.715) 0.48s both,
        animate-svg-fill-5 0.7s cubic-bezier(0.47, 0, 0.745, 0.715) 1.2000000000000002s both;
}

@-webkit-keyframes animate-svg-stroke-6 {
    0% {
        stroke-dashoffset: 199.0979766845703px;
        stroke-dasharray: 199.0979766845703px;
    }

    100% {
        stroke-dashoffset: 0;
        stroke-dasharray: 199.0979766845703px;
    }
}

@keyframes animate-svg-stroke-6 {
    0% {
        stroke-dashoffset: 199.0979766845703px;
        stroke-dasharray: 199.0979766845703px;
    }

    100% {
        stroke-dashoffset: 0;
        stroke-dasharray: 199.0979766845703px;
    }
}

@-webkit-keyframes animate-svg-fill-6 {
    0% {
        fill: transparent;
    }

    100% {
        fill: rgb(189, 32, 46);
    }
}

@keyframes animate-svg-fill-6 {
    0% {
        fill: transparent;
    }

    100% {
        fill: rgb(189, 32, 46);
    }
}

.yobo-logo-6 {
    -webkit-animation: animate-svg-stroke-6 1s cubic-bezier(0.47, 0, 0.745, 0.715) 0.6s both,
        animate-svg-fill-6 0.7s cubic-bezier(0.47, 0, 0.745, 0.715) 1.3s both;
    animation: animate-svg-stroke-6 1s cubic-bezier(0.47, 0, 0.745, 0.715) 0.6s both,
        animate-svg-fill-6 0.7s cubic-bezier(0.47, 0, 0.745, 0.715) 1.3s both;
}

@-webkit-keyframes animate-svg-stroke-7 {
    0% {
        stroke-dashoffset: 322.42120361328125px;
        stroke-dasharray: 322.42120361328125px;
    }

    100% {
        stroke-dashoffset: 0;
        stroke-dasharray: 322.42120361328125px;
    }
}

@keyframes animate-svg-stroke-7 {
    0% {
        stroke-dashoffset: 322.42120361328125px;
        stroke-dasharray: 322.42120361328125px;
    }

    100% {
        stroke-dashoffset: 0;
        stroke-dasharray: 322.42120361328125px;
    }
}

@-webkit-keyframes animate-svg-fill-7 {
    0% {
        fill: transparent;
    }

    100% {
        fill: rgb(189, 32, 46);
    }
}

@keyframes animate-svg-fill-7 {
    0% {
        fill: transparent;
    }

    100% {
        fill: rgb(189, 32, 46);
    }
}

.yobo-logo-7 {
    -webkit-animation: animate-svg-stroke-7 1s cubic-bezier(0.47, 0, 0.745, 0.715) 0.72s both,
        animate-svg-fill-7 0.7s cubic-bezier(0.47, 0, 0.745, 0.715) 1.4000000000000001s both;
    animation: animate-svg-stroke-7 1s cubic-bezier(0.47, 0, 0.745, 0.715) 0.72s both,
        animate-svg-fill-7 0.7s cubic-bezier(0.47, 0, 0.745, 0.715) 1.4000000000000001s both;
}

@-webkit-keyframes animate-svg-stroke-8 {
    0% {
        stroke-dashoffset: 310.5931396484375px;
        stroke-dasharray: 310.5931396484375px;
    }

    100% {
        stroke-dashoffset: 0;
        stroke-dasharray: 310.5931396484375px;
    }
}

@keyframes animate-svg-stroke-8 {
    0% {
        stroke-dashoffset: 310.5931396484375px;
        stroke-dasharray: 310.5931396484375px;
    }

    100% {
        stroke-dashoffset: 0;
        stroke-dasharray: 310.5931396484375px;
    }
}

.yobo-logo-8 {
    -webkit-animation: animate-svg-stroke-8 1s cubic-bezier(0.47, 0, 0.745, 0.715) 0.84s both,
        animate-svg-fill-8 0.7s cubic-bezier(0.47, 0, 0.745, 0.715) 1.5s both;
    animation: animate-svg-stroke-8 1s cubic-bezier(0.47, 0, 0.745, 0.715) 0.84s both,
        animate-svg-fill-8 0.7s cubic-bezier(0.47, 0, 0.745, 0.715) 1.5s both;
}

@-webkit-keyframes animate-svg-stroke-9 {
    0% {
        stroke-dashoffset: 443.3939514160156px;
        stroke-dasharray: 443.3939514160156px;
    }

    100% {
        stroke-dashoffset: 0;
        stroke-dasharray: 443.3939514160156px;
    }
}

@keyframes animate-svg-stroke-9 {
    0% {
        stroke-dashoffset: 443.3939514160156px;
        stroke-dasharray: 443.3939514160156px;
    }

    100% {
        stroke-dashoffset: 0;
        stroke-dasharray: 443.3939514160156px;
    }
}

@-webkit-keyframes animate-svg-fill-9 {
    0% {
        fill: transparent;
    }

    100% {
        fill: rgb(236, 32, 39);
    }
}

@keyframes animate-svg-fill-9 {
    0% {
        fill: transparent;
    }

    100% {
        fill: rgb(236, 32, 39);
    }
}

.yobo-logo-9 {
    -webkit-animation: animate-svg-stroke-9 1s cubic-bezier(0.47, 0, 0.745, 0.715) 0.96s both,
        animate-svg-fill-9 0.7s cubic-bezier(0.47, 0, 0.745, 0.715) 1.6s both;
    animation: animate-svg-stroke-9 1s cubic-bezier(0.47, 0, 0.745, 0.715) 0.96s both,
        animate-svg-fill-9 0.7s cubic-bezier(0.47, 0, 0.745, 0.715) 1.6s both;
}

@-webkit-keyframes animate-svg-stroke-10 {
    0% {
        stroke-dashoffset: 443.3931884765625px;
        stroke-dasharray: 443.3931884765625px;
    }

    100% {
        stroke-dashoffset: 0;
        stroke-dasharray: 443.3931884765625px;
    }
}

@keyframes animate-svg-stroke-10 {
    0% {
        stroke-dashoffset: 443.3931884765625px;
        stroke-dasharray: 443.3931884765625px;
    }

    100% {
        stroke-dashoffset: 0;
        stroke-dasharray: 443.3931884765625px;
    }
}

.yobo-logo-10 {
    -webkit-animation: animate-svg-stroke-10 1s cubic-bezier(0.47, 0, 0.745, 0.715) 1.08s both,
        animate-svg-fill-10 0.7s cubic-bezier(0.47, 0, 0.745, 0.715) 1.7000000000000002s both;
    animation: animate-svg-stroke-10 1s cubic-bezier(0.47, 0, 0.745, 0.715) 1.08s both,
        animate-svg-fill-10 0.7s cubic-bezier(0.47, 0, 0.745, 0.715) 1.7000000000000002s both;
}

@-webkit-keyframes animate-svg-stroke-11 {
    0% {
        stroke-dashoffset: 473.7603759765625px;
        stroke-dasharray: 473.7603759765625px;
    }

    100% {
        stroke-dashoffset: 0;
        stroke-dasharray: 473.7603759765625px;
    }
}

@keyframes animate-svg-stroke-11 {
    0% {
        stroke-dashoffset: 473.7603759765625px;
        stroke-dasharray: 473.7603759765625px;
    }

    100% {
        stroke-dashoffset: 0;
        stroke-dasharray: 473.7603759765625px;
    }
}

@-webkit-keyframes animate-svg-fill-11 {
    0% {
        fill: transparent;
    }

    100% {
        fill: rgb(189, 32, 46);
    }
}

@keyframes animate-svg-fill-11 {
    0% {
        fill: transparent;
    }

    100% {
        fill: rgb(189, 32, 46);
    }
}

.yobo-logo-11 {
    -webkit-animation: animate-svg-stroke-11 1s cubic-bezier(0.47, 0, 0.745, 0.715) 1.2s both,
        animate-svg-fill-11 0.7s cubic-bezier(0.47, 0, 0.745, 0.715) 1.8s both;
    animation: animate-svg-stroke-11 1s cubic-bezier(0.47, 0, 0.745, 0.715) 1.2s both,
        animate-svg-fill-11 0.7s cubic-bezier(0.47, 0, 0.745, 0.715) 1.8s both;
}

@-webkit-keyframes animate-svg-stroke-12 {
    0% {
        stroke-dashoffset: 483.4066162109375px;
        stroke-dasharray: 483.4066162109375px;
    }

    100% {
        stroke-dashoffset: 0;
        stroke-dasharray: 483.4066162109375px;
    }
}

@keyframes animate-svg-stroke-12 {
    0% {
        stroke-dashoffset: 483.4066162109375px;
        stroke-dasharray: 483.4066162109375px;
    }

    100% {
        stroke-dashoffset: 0;
        stroke-dasharray: 483.4066162109375px;
    }
}

.yobo-logo-12 {
    -webkit-animation: animate-svg-stroke-12 1s cubic-bezier(0.47, 0, 0.745, 0.715) 1.3199999999999998s both,
        animate-svg-fill-12 0.7s cubic-bezier(0.47, 0, 0.745, 0.715) 1.9000000000000001s both;
    animation: animate-svg-stroke-12 1s cubic-bezier(0.47, 0, 0.745, 0.715) 1.3199999999999998s both,
        animate-svg-fill-12 0.7s cubic-bezier(0.47, 0, 0.745, 0.715) 1.9000000000000001s both;
}

@-webkit-keyframes animate-svg-stroke-13 {
    0% {
        stroke-dashoffset: 443.3943176269531px;
        stroke-dasharray: 443.3943176269531px;
    }

    100% {
        stroke-dashoffset: 0;
        stroke-dasharray: 443.3943176269531px;
    }
}

@keyframes animate-svg-stroke-13 {
    0% {
        stroke-dashoffset: 443.3943176269531px;
        stroke-dasharray: 443.3943176269531px;
    }

    100% {
        stroke-dashoffset: 0;
        stroke-dasharray: 443.3943176269531px;
    }
}

@-webkit-keyframes animate-svg-fill-13 {
    0% {
        fill: transparent;
    }

    100% {
        fill: rgb(236, 32, 39);
    }
}

@keyframes animate-svg-fill-13 {
    0% {
        fill: transparent;
    }

    100% {
        fill: rgb(236, 32, 39);
    }
}

.yobo-logo-13 {
    -webkit-animation: animate-svg-stroke-13 1s cubic-bezier(0.47, 0, 0.745, 0.715) 1.44s both,
        animate-svg-fill-13 0.7s cubic-bezier(0.47, 0, 0.745, 0.715) 2s both;
    animation: animate-svg-stroke-13 1s cubic-bezier(0.47, 0, 0.745, 0.715) 1.44s both,
        animate-svg-fill-13 0.7s cubic-bezier(0.47, 0, 0.745, 0.715) 2s both;
}

@-webkit-keyframes animate-svg-stroke-14 {
    0% {
        stroke-dashoffset: 443.3937072753906px;
        stroke-dasharray: 443.3937072753906px;
    }

    100% {
        stroke-dashoffset: 0;
        stroke-dasharray: 443.3937072753906px;
    }
}

@keyframes animate-svg-stroke-14 {
    0% {
        stroke-dashoffset: 443.3937072753906px;
        stroke-dasharray: 443.3937072753906px;
    }

    100% {
        stroke-dashoffset: 0;
        stroke-dasharray: 443.3937072753906px;
    }
}

.yobo-logo-14 {
    -webkit-animation: animate-svg-stroke-14 1s cubic-bezier(0.47, 0, 0.745, 0.715) 1.56s both,
        animate-svg-fill-14 0.7s cubic-bezier(0.47, 0, 0.745, 0.715) 2.1s both;
    animation: animate-svg-stroke-14 1s cubic-bezier(0.47, 0, 0.745, 0.715) 1.56s both,
        animate-svg-fill-14 0.7s cubic-bezier(0.47, 0, 0.745, 0.715) 2.1s both;
}

html.fsvs {
    height: 100%;
    width: 100%;
    position: fixed;
    top: 0;
    left: 0;
    overflow: hidden;
}

html.fsvs #fsvs-body {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 1;
    -webkit-backface-visibility: hidden;
    -webkit-perspective: 1000;
}

.main {
    height: 100%;
    width: 100%;
}

.page {
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
    width: 100%;
    height: 100%;
    align-items: center;
    justify-content: center;

    video {
        width: 100vw;
        height: 100vh;
        object-fit: cover;
        position: relative;
        top: 0;
        bottom: 0;
        left: 0;
        right: 0px;
    }
}

.vr {
    background-color: var(--white);
}

.reels {
    color: var(--white);

    .reel {
        position: absolute;
        height: 100vh;
        bottom: 0;
        left: 0;
        right: 0;
        z-index: 2;
        display: flex;
        flex-direction: column-reverse;
        justify-content: space-between;

        .reel-top,
        .reel-bottom {
            padding: 10px;
        }

        .reel-top {
            display: flex;
            align-items: center;
            justify-content: space-between;
            padding: 10px;
            position: absolute;
            top: 0;
            left: 0;
            right: 0;

            a {
                color: var(--white);
                background-color: rgba(0, 0, 0, .3);
                font-size: 10px;
                font-weight: 600;
                display: block;
                padding: 5px 15px;
                border-radius: 100px;
                display: flex;
                align-items: center;
                column-gap: 10px;
            }
        }

        .reel-bottom {
            display: flex;
            align-items: end;
            justify-content: space-between;
            width: 100%;
            background: linear-gradient(#0000 0%, var(--black) 100%);

            .left {}

            .right {
                display: flex;
                flex-direction: column;
                row-gap: 20px;
                align-items: center;

                a {
                    font-size: 10px;
                    font-weight: 600;
                    color: var(--white);
                    text-align: center;

                    img {
                        display: block;
                    }
                }
            }
        }

        .btn-video-audio {
            position: absolute;
            z-index: 2;
            top: 45%
        }
    }
}

.video-feed {
    scroll-snap-type: y mandatory;
    overflow-y: scroll;
    height: 100vh;
    padding-bottom: 43px;

    .video-container {
        position: relative;
        width: 100vw;
        height: calc(100vh - 43px);
        scroll-snap-align: start;

        .reel-top,
        .reel-bottom {
            padding: 10px;
            position: absolute;
            z-index: 2;
            left: 0;
            right: 0;
        }

        .reel-top {
            display: flex;
            align-items: center;
            justify-content: space-between;
            padding: 10px;
            top: 0;
            left: 0;
            right: 0;

            a {
                color: var(--white);
                background-color: rgba(0, 0, 0, .3);
                font-size: 10px;
                font-weight: 600;
                display: block;
                padding: 5px 15px;
                border-radius: 100px;
                display: flex;
                align-items: center;
                column-gap: 10px;
            }
        }

        .reel-bottom {
            display: flex;
            align-items: end;
            justify-content: space-between;
            width: 100%;
            background: linear-gradient(#0000 0%, var(--black) 100%);
            bottom: 0;

            .left {
                .top {
                    display: flex;
                    flex-direction: row;
                    align-items: center;
                    padding: 0px 0px;
                    margin-bottom: 10px;
                    gap: 15px;

                    .tag {
                        border: 1px solid var(--white);
                        border-radius: 2px;
                        padding: 2px 5px;
                        font-weight: 700;
                        font-size: 10px;
                        line-height: 15px;
                        text-align: center;
                        text-transform: uppercase;
                        color: var(--white);
                    }

                    .gifting {
                        font-size: 9px;
                        font-weight: 500;
                        color: var(--white);
                        display: flex;
                        column-gap: 5px;
                        align-items: center;
                        line-height: 1;

                        img {
                            width: 24px;
                            height: 24px;
                        }

                        b {
                            font-size: 12px;
                            font-weight: 600;
                            display: block;
                            text-transform: uppercase;
                        }
                    }
                }

                .bottom {
                    .user {
                        display: flex;
                        column-gap: 10px;

                        img {
                            width: 30px;
                            height: 30px;
                            border-radius: 100px;
                            object-fit: cover;
                        }

                        .name {
                            font-size: 12px;
                            font-weight: 600;
                            color: var(--white);
                        }

                        .userID {
                            font-size: 10px;
                        }
                    }

                    .btn-follow {
                        border: 1px solid var(--white);
                        border-radius: 5px;
                        padding: 3px 10px;
                        color: var(--white);
                        font-size: 12px;
                        font-weight: 600;
                    }

                    .discription {
                        font-size: 12px;
                    }
                }
            }

            .right {
                display: flex;
                flex-direction: column;
                row-gap: 20px;
                align-items: center;

                .mute-unmute {
                    font-size: 15px;
                    padding: 5px;
                    width: 26px;
                    height: 26px;
                    background-color: rgba(0, 0, 0, 0.5);
                    border-radius: 100%;
                    display: flex;
                    align-items: center;
                    justify-content: center;
                    color: var(--white);
                }

                a {
                    width: 36px;
                    height: 36px;
                    display: flex;
                    align-items: center;
                    justify-content: center;
                    flex-direction: column;
                    font-size: 10px;
                    font-weight: 600;
                    color: var(--white);
                    text-align: center;

                    img {
                        display: block;
                    }
                }
            }
        }
    }

    video {
        width: 100%;
        height: 100%;
        object-fit: cover;
        display: block;
    }

    .center-play {
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        font-size: 30px;
        color: var(--white);
        background: rgba(0, 0, 0, 0.9);
        border-radius: 50%;
        padding: 10px;
        height: 60px;
        width: 60px;
        display: flex;
        align-items: center;
        justify-content: center;
        cursor: pointer;
        z-index: 3;
    }

    .btn {
        background: rgba(0, 0, 0, 0.5);
        border: none;
        color: var(--white);
        padding: 10px;
        border-radius: 50%;
        font-size: 20px;
        cursor: pointer;
        display: flex;
        align-items: center;
        justify-content: center;
    }
}


.footer {
    position: fixed;
    bottom: 0;
    width: 100%;
    background: var(--black);
    display: flex;
    align-items: center;
    justify-content: space-around;
    z-index: 2;
    padding: 8px 20px;

    a,
    button {
        background: none;
        border: none;
        color: var(--white);
        font-size: 18px;
        cursor: pointer;

        &:hover {
            color: #0f0;
        }
    }
}

.main-page {
    padding-bottom: 50px;
}

.reel-page {
    .send-gift-block {
        .share {
            display: none !important;
        }
    }
}

.page-container {
    padding: 10px;
    position: relative;
}

.user-profile-block {
    .user {
        display: flex;
        column-gap: 10px;
        color: var(--white);

        img {
            width: 30px;
            height: 30px;
            border-radius: 100px;
            object-fit: cover;
        }

        .name {
            font-size: 12px;
            font-weight: 600;
            color: var(--white);
        }

        .userID {
            font-size: 10px;
        }
    }

    .btn-follow {
        border: 1px solid var(--white);
        border-radius: 5px;
        padding: 3px 10px;
        color: var(--white);
        font-size: 12px;
        font-weight: 600;
    }

    .discription {
        font-size: 12px;
    }
}

.qiuckmenu {
    font-size: 16px;

    .offcanvas-header {
        padding: 10px;
    }

    &.offcanvas-bottom {
        height: 37vh;
        border-radius: 10px 10px 0 0;
    }

    a {
        color: var(--black);
        display: block;
        font-weight: 500;
        line-height: 39px;
        border-bottom: 1px dashed rgba(0, 0, 0, .1);
    }
}

.user-photos-block {
    border-radius: 10px;
    overflow: hidden;

    img {
        border-radius: 10px;
    }

    .carousel-indicators {
        button {
            width: 8px;
            height: 8px;
            border-radius: 10px;
            background-clip: inherit;
            border: 0px;
            background-color: ;
        }

        .active {
            background-color: var(--theme-color-1);
        }
    }
}

.send-gift-block {
    display: flex;
    flex-direction: row;
    align-items: center;
    padding: 0px 0px;
    margin-bottom: 10px;
    gap: 15px;

    .tag {
        border: 1px solid var(--white);
        border-radius: 2px;
        padding: 2px 5px;
        font-weight: 700;
        font-size: 10px;
        line-height: 15px;
        text-align: center;
        text-transform: uppercase;
        color: var(--white);
    }

    .gifting {
        font-size: 9px;
        font-weight: 500;
        color: var(--white);
        display: flex;
        column-gap: 5px;
        align-items: center;
        line-height: 1;

        img {
            width: 24px;
            height: 24px;
        }

        b {
            font-size: 12px;
            font-weight: 600;
            display: block;
            text-transform: uppercase;
        }
    }
}

.user-profile-discription-block {
    color: var(--white);
    font-size: 12px;
}

.comment-box-block {
    background-color: var(--white);
    padding: 5px 5px 5px 15px;
    border-radius: 5px;
    font-size: 12px;
    margin-top: 10px;
    display: flex;
    align-items: center;
    justify-content: space-between;

    input {
        background-color: transparent;
        border: 0px;
        box-shadow: none;
        width: 100%;
    }

    button {
        background-color: var(--black);
        color: var(--white);
        font-size: 16px;
        border-radius: 5px;
        border: 0px;
    }
}

.close-button {
    width: 24px;
    height: 24px;
    border-radius: 100%;
    background-color: var(--theme-color-2);
    color: var(--white);
    font-size: 15px;
    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    top: 10px;
    left: 10px;
    z-index: 10;
}

.video-preview-container,
.photo-preview-container {
    height: 85vh;

    video {
        width: 100%;
        height: 100%;
        object-fit: cover;
    }

    img {
        width: 100%;
        height: 100%;
        object-fit: cover;
    }
}

.video-buttons {
    display: flex;
    align-items: center;
    justify-content: space-between;
    position: relative;
    padding: 10px;
}

.video-upload {
    position: relative;

    input {
        position: absolute;
        visibility: hidden;
    }

    label {
        display: flex;
        align-items: center;
        justify-content: center;
        width: 40px;
        height: 40px;
        border-radius: 100%;
        font-size: 20px;
        color: var(--white);
        background: linear-gradient(#334477 0%, #4F69A6 100%);
    }

}

.make-video {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 60px;
    height: 60px;
    border-radius: 100%;
    font-size: 18px;
    color: var(--white);
    background-color: rgba(255, 0, 0, 0.3);
    position: absolute;
    margin: auto;
    left: 0px;
    right: 0px;

    i,
    .icon {
        display: flex;
        align-items: center;
        justify-content: center;
        width: 36px;
        height: 36px;
        border-radius: 100%;
        border: 2px solid var(--white);
        background-color: var(--theme-color-1);
    }
}

.video-preview {
    display: flex;
    align-items: center;
    justify-content: center;
    column-gap: 5px;
    padding: 7px 12px;
    border-radius: 30px;
    font-size: 12px;
    text-transform: uppercase;
    font-weight: 600;
    color: var(--white);
    background-color: rgba(233, 211, 18, 0.2);

    i {
        font-size: 18px;
    }
}

.video-footer {
    position: fixed;
    bottom: 0px;
    left: 0;
    right: 0;
    display: flex;
    align-items: center;
    justify-content: space-around;
    flex-grow: 1;

    a {
        font-size: 15px;
        text-transform: uppercase;
        font-weight: 500;
        color: var(--white);
        display: block;
        padding: 10px;
        display: block;
        opacity: .5;

        &.active {
            opacity: 1;
        }
    }
}

.video-controls {
    display: flex;
    align-items: center;
    justify-content: space-between;
    column-gap: 10px;
    width: 100%;

    button,
    .video-timeline {
        border-radius: 5px;
        background-color: rgba(0, 0, 0, 0.5);
        color: var(--white);
        padding: 5px 10px;
    }

    button {
        font-size: 15px;
        border: 0px;
    }

    .video-timeline {
        font-size: 10px;
        color: var(--white);
        font-weight: 500;
        width: 100%;
        padding: 8px 10px;
        display: flex;
        align-items: center;
        justify-content: space-between;
        text-wrap: nowrap;
        column-gap: 10px;

        .slider {
            -webkit-appearance: none;
            width: 100%;
            height: 3px;
            outline: none;
        }

        .slider::-webkit-slider-thumb {
            -webkit-appearance: none;
            appearance: none;
            width: 7px;
            height: 7px;
            border-radius: 100%;
            background: var(--white);
        }
    }
}

.video-preview-page {
    .video-preview-container {
        height: 94vh;
        position: relative;

        .video-controls-buttons {
            position: absolute;
            bottom: 30px;
            left: 10px;
            right: 10px;
        }
    }
}

.video-controls-buttons {
    display: flex;
    flex-direction: column;
    row-gap: 10px;
}

.back-next-button {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;

    a {
        display: flex;
        align-items: center;
        justify-content: center;
        column-gap: 5px;
        padding: 7px 12px;
        border-radius: 30px;
        font-size: 12px;
        text-transform: uppercase;
        font-weight: 600;
        color: var(--white);
        background-color: rgba(0, 0, 0, 0.5);

        i {
            font-size: 18px;
        }
    }
}

.page-top-bar {
    display: flex;
    align-items: center;
    justify-content: space-between;
    color: var(--white);
    font-size: 16px;
    padding: 10px 0;

    a {
        color: var(--white);
    }

    div:first-child,
    div:last-child {
        width: 60px;
    }

    div:last-child {
        text-align: end;
    }
}

.post-box {
    color: rgba(255, 255, 255, .6);
    font-size: 12px;
    background-color: var(--color-1);
    padding: 15px;
    border-radius: 10px;
    display: flex;
    flex-direction: column;
    row-gap: 20px;

    textarea {
        background-color: var(--black);
        border-radius: 10px;
        border: 0;
        color: var(--white);
        font-size: 12px;

        &::placeholder {
            color: rgba(255, 255, 255, .6);
        }
    }

    .form-field {
        padding: 10px 0px;
        border-bottom: 1px solid rgba(255, 255, 255, .2);
        display: flex;
        align-items: center;
        justify-content: space-between;

        select {
            background: none;
            border: 0px;
            color: rgba(255, 255, 255, .6);

            option {
                background-color: var(--black);
                border-radius: 3px;
            }
        }

        .dropdown {
            button {
                background: none;
                border: 0px;
                color: rgba(255, 255, 255, .6);
            }

            .dropdown-menu {
                background-color: var(--black);
                font-size: 11px;
                color: rgba(255, 255, 255, .6);
                padding: 5px;

                a {
                    color: rgba(255, 255, 255, .6);
                    padding: 5px;
                }
            }
        }
    }

    button {
        border-radius: 50px;
        font-size: 16px;
        color: var(--black);
        border: 0px;
        width: 100%;
        padding: 10px;
        background-color: var(--theme-color-3);
        font-weight: 500;
    }
}

.video-thumbanil {
    text-align: center;

    img {
        width: 150px;
        border-radius: 10px;
    }
}

.photo-thumbanils {
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    gap: 10px;

    .photo-thumbanil {
        width: 22.5%;
        position: relative;

        .delete {
            width: 16px;
            height: 16px;
            background-color: var(--black);
            color: var(--white);
            position: absolute;
            top: 5px;
            left: 5px;
            opacity: .5;
            border-radius: 100%;

            &:hover {
                opacity: 1;
            }
        }

        img {
            width: 100%;
            height: 115px;
            object-fit: cover;
            border-radius: 10px;
        }
    }

}

.btn-cus-red,
.btn-cus-green {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    column-gap: 10px;
    border-radius: 30px;
    border: 1px solid rgba(0, 0, 0, .1);
    padding: 5px 15px 5px 5px;
    font-size: 12px;
    color: var(--black);

    i {
        width: 20px;
        height: 20px;
        font-size: 8px;
        display: flex;
        align-items: center;
        justify-content: center;
        color: var(--white);
        border-radius: 100%;
    }
}

.modal {
    color: var(--black);
}

.btn-cus-red {
    i {
        background-color: var(--red);
    }
}

.btn-cus-green {
    i {
        background-color: var(--green);
    }
}

.all-photo-screen {
    scroll-behavior: smooth;

    .page-container {
        scroll-snap-type: y mandatory;
        overflow-y: scroll;
        height: 100vh;
    }

    .section {
        scroll-snap-align: center;
        height: 97vh;
    }
}

.send-gifts-windows {
    background-color: transparent;
    color: var(--white);
    height: inherit !important;
    border: 1px !important;

    a {
        color: var(--white);
    }

    .offcanvas-body {
        padding: 0px;
    }

    .send-gifts {
        .nav-tabs {
            display: flex;
            align-items: center;
            justify-content: space-evenly;
            column-gap: 10px;
            border: 0px;
            margin-bottom: 10px;

            .nav-item {
                .nav-link {
                    background-color: #e2e8f0;
                    border-radius: 5px;
                    padding: 3px 15px;
                    border: 0px;
                    display: flex;
                    align-items: center;
                    justify-content: center;
                    column-gap: 10px;
                    font-size: 14px;
                    font-weight: 700;
                    color: #a5a5a5;

                    img {
                        width: 20px;
                        height: 20px;
                    }

                    &.active {
                        background-color: var(--theme-color-3);
                        color: var(--black);
                    }
                }
            }
        }

        .title {
            font-weight: 700;
            font-size: 20px;
            line-height: 36px;
            text-transform: uppercase;
            display: flex;
            align-items: center;
            justify-content: space-between;
            padding: 15px;

            .status {
                display: flex;
                flex-direction: row;
                align-items: center;
                padding: 0px 10px;
                gap: 20px;
                background: rgba(0, 0, 0, 0.8);
                border-radius: 5px;
                font-size: 16px;
            }
        }

        .Get-more {
            background-color: var(--black);
            padding: 10px;
            text-align: center;

            a {
                border-radius: 5px;
                padding: 5px;
                background-color: var(--theme-color-3);
                color: var(--black);
                font-size: 13px;
                font-weight: 600;
            }
        }
    }
}

.gifts {
    background-color: #313131;
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
    align-items: center;
    justify-content: center;
    border-radius: 10px 10px 0 0;
    color: var(--white);
    padding: 12px;

    a {
        color: var(--white);
    }

    .status {
        font-size: 12px;

        b {
            color: var(--theme-color-3);
        }
    }

    .gift {
        background-color: #1E1E1E;
        padding: 5px;
        border-radius: 5px;
        display: flex;
        flex-direction: column;
        row-gap: 0;
        line-height: 1;
        flex: 1;
        align-items: center;
        justify-content: center;
        font-size: 34px;

        img {
            width: 35px;
            margin: 0 5px;
        }

        span {
            font-size: 10px;
            line-height: 1.5
        }

        .price {
            background-color: var(--theme-color-2);
            color: var(--white);
            font-size: 12px;
            font-weight: 600;
            border-radius: 5px;
            padding: 2px 2px;
            display: flex;
            align-items: center;
            justify-content: center;
            gap: 2px;
            width: 100%;

            img {
                width: 12px;
                height: 12px;
                margin: 0px;
            }
        }
    }

    &.products {
        .gift {
            background-color: var(--white);
        }
    }
}

.balloon-image {
    position: absolute;
    z-index: 9999;
    width: 60px;
    height: auto;
    opacity: 0;
    animation: floatFade 4s ease-in forwards;
    pointer-events: none;
    transform-origin: center bottom;
}

@keyframes floatFade {
    0% {
        transform: scale(0.2) translateY(-20px);
        opacity: 0;
    }

    50% {
        transform: scale(2.5) translateY(-100px);
        opacity: 1;
    }

    100% {
        transform: scale(2.5) translateY(-300px);
        opacity: 0;
    }
}

.cus_tab {
    .nav-tabs {
        display: flex;
        align-items: center;
        border: 0px;
        margin-bottom: 10px;

        li {
            flex: 1;

            a {
                text-align: center;
                border-bottom: 2px solid rgba(255, 255, 255, .5);
                font-size: 12px;
                font-weight: 600;
                color: rgba(255, 255, 255, .5);
                background-color: transparent !important;

                &.active {
                    color: var(--white);
                    border: 0px;
                    border-bottom: 2px solid var(--white);
                }
            }
        }
    }
}

.page-title-banner {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    padding: 10px 20px;
    gap: 10px;
    border-radius: 10px;
    margin-bottom: 10px;

    .title {
        font-weight: 600;
        font-size: 16px;
        line-height: 24px;
        color: var(--white);
    }

    .balance {
        display: flex;
        align-items: center;
        justify-content: center;
        gap: 5px;
        font-weight: 700;
        font-size: 18px;
        line-height: 1;
        color: var(--theme-color-3);

        img {
            width: 40px;
            height: 40px;
        }

        .small {
            font-size: 14px;
            font-weight: 500;
            color: var(--white);
        }
    }

    &.feelingbg {
        background: linear-gradient(90deg, #260000 28%, rgba(38, 0, 0, 0) 100%), url(../images/feelingbg.jpg) center no-repeat;
        background-size: cover;
    }

    &.coinbg {
        background: linear-gradient(90deg, #260000 28%, rgba(38, 0, 0, 0) 100%), url(../images/coinbg.jpg) center no-repeat;
        background-size: cover;
    }
}

.products {
    display: flex;
    flex-wrap: wrap;
    gap: 15px;
    justify-content: center;

    .product-gift {
        background-color: var(--white);
        border-radius: 15px;
        box-shadow: 0 2px 10px rgba(0, 0, 0, 0.08);
        overflow: hidden;
        width: calc(50% - 10px);
        display: flex;
        flex-direction: column;
        text-align: center;

        img {
            width: 100%;
            display: block;
            height: 165px;
            object-fit: cover;
        }

        .card-content {
            padding: 10px 12px;
        }

        .product-title {
            font-size: 16px;
            font-weight: 600;
            margin-bottom: 4px;
            color: var(--color-1);
        }

        .product-desc {
            color: #555;
            font-size: 10px;
            line-height: 1.3;
            margin-bottom: 8px;
        }

        .price {
            font-size: 12px;
            font-weight: 600;
            color: var(--white);
            display: flex;
            align-items: center;
            justify-content: center;
            gap: 5px;
            background-color: var(--theme-color-2);
            border-radius: 5px;
            padding: 3px;

            img {
                width: 16px;
                height: 16px;
            }
        }
    }

    .pagination {
        color: var(--black);

        a {
            color: var(--black);
        }
    }
}

.tab-id-base {
    .tabs {
        display: flex;
        cursor: pointer;
        padding: 10px;
        gap: 10px;
    }

    .tab {
        background-color: #e2e8f0;
        border-radius: 5px;
        padding: 3px 15px;
        border: 0px;
        display: flex;
        flex: 1;
        align-items: center;
        justify-content: center;
        column-gap: 10px;
        font-size: 14px;
        font-weight: 700;
        color: #a5a5a5;

        img {
            width: 20px;
            height: 20px;
        }

        &.active {
            background-color: var(--theme-color-3);
            color: var(--black);
        }
    }

    .tab-content {
        display: none;
    }

    .tab-content.active {
        display: block;
    }
}

.coin-prices {
    display: flex;
    align-items: center;
    flex-direction: column;
    gap: 5px;

    .coin-price {
        display: flex;
        align-items: center;
        justify-content: space-between;
        background-color: #260000;
        padding: 10px;
        border-radius: 5px;
        width: 100%;

        .value {
            display: flex;
            align-items: center;
            justify-content: center;
            gap: 5px;
            font-size: 18px;
            line-height: 1;
            font-weight: 700;
            color: var(--theme-color-3);

            img {
                width: 20px;
                height: 20px;
            }
        }

        .price {
            font-size: 14px;
            font-weight: 600;
            color: var(--black);
            background-color: var(--theme-color-3);
            padding: 3px 8px;
            border-radius: 5px;
            display: flex;
            align-items: center;
            justify-content: center;
            gap: 5px;
        }
    }
}


.login-screen {
    margin: 0;
    background: #ffecec;
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    background-image: url('../images/login-bg.jpg');
    background-size: cover;
    background-position: center;
    color: #fff;
    text-align: center;

    .logo {
        margin-top: 60px;
    }

    .card {
        background-color: var(--theme-color-2);
        padding: 30px 20px;
        border-radius: 20px;
        margin: 40px 20px;
        color: var(--white);

        h2 {
            font-size: 30px;
            font-weight: 700;
            margin: 0px;
        }

        p {
            font-size: 19px;
            font-weight: 500;
            margin: 0;
        }

        small {
            font-size: 13px;
            font-weight: 500;
        }
    }

    .google-signin {
        background: var(--white);
        border-radius: 16px;
        width: 80px;
        height: 80px;
        margin: 20px auto;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .google-signin img {
        width: 40px;
    }

    .or {
        margin: 10px 50px;
        color: var(--white);
        font-weight: 500;
        display: flex;
        flex-direction: row;
        gap: 10px;
        align-items: center;
        justify-content: center;

        span {
            width: 100%;
            height: 2px;
            background-color: var(--white);
        }
    }

    .quick-start {
        background-color: var(--theme-color-3);
        color: #000;
        padding: 15px 30px;
        border: none;
        border-radius: 40px;
        font-size: 18px;
        font-weight: bold;
        cursor: pointer;
        margin-top: 10px;
    }
}